> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# OData

> Connect AI virtual schemas allow you to connect OData-compatible integration tools to your data without installing any extra software or drivers. You must configure virtual schemas to access data from integration tools with the OData protocol.

## Configure Tables

To configure tables, refer to the [Virtual Schemas](https://docs.cloud.cdata.com/en/Virtual-Schemas.md) documentation.

## Authentication

Applications connect to the OData API through Basic Authentication (username and password). When configuring a connection, set the connection properties as follows:

* Set the URL as the OData Service URL with a virtual schema name (`https://cloud.cdata.com/api/odata/{virtual_schema_name}`).
* For the Username, enter your Connect AI username. This is displayed in the top-right corner of the Connect AI interface. For example, *[test@cdata.com](mailto:test@cdata.com)*.
* For the Password, enter a Personal Access Token (PAT) that you generate on the [Settings](https://docs.cloud.cdata.com/en/Settings/Personal-Access-Tokens.md) page.

## Connect from Client Applications

The pages below provide instructions on connecting to the OData API from within popular client applications:

* [PowerBI](https://docs.cloud.cdata.com/en/Clients/PowerBI.com-Client.md)
* [Salesforce Lightning Connect](https://docs.cloud.cdata.com/en/Clients/SFLC-Client.md)
* [SAP Analytics Cloud](https://docs.cloud.cdata.com/en/Clients/SAPAnalyticsCloud-Client.md)

The sections below outline how to connect from cURL and Postman.

### cURL

The [cURL command line tool](https://curl.se/) provides one of the simplest ways to retrieve OData tables. In your request, pass your username and PAT as Basic Auth credentials in the following format:

```bash theme={null}
curl -u 'test@cdata.com:QpnquoIujrBNunK' https://cloud.cdata.com/api/odata/{virtual_schema_name}/
```

With this request, cURL returns the OData response directly to the standard output.

### Postman

[Postman](https://www.postman.com/) is a testing utility tool that connects to the Connect AI OData API. To use Postman, set the following settings:

**Step 1**

Set the HTTP operation to **GET**.

**Step 2**

Set the request URL to *[https://cloud.cdata.com/api/odata/\{virtual\\\_schema\\\_name}](https://cloud.cdata.com/api/odata/\{virtual\\_schema\\_name})*. If desired, you can specify a resource name.

**Step 3**

In the Authorization tab, set the Auth type to **Basic Auth**.

**Step 4**

Set the Username and password to the username and authentication token from the [Users](https://docs.cloud.cdata.com/en/Identities/Users.md) tab.

**Step 5**

Click **Send** to submit your request to Connect.

Postman will display the OData results in the response section.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.